/*
    Copyright (C) 2011 Harald Sitter <sitter@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CUTEVLC_EXPORT_H
#define CUTEVLC_EXPORT_H

#include <QtCore/QtGlobal>

#ifndef CUTEVLC_EXPORT
# if defined Q_WS_WIN
#  if defined(CUTEVLC_LIBRARY) /* We are building this library */
#   define CUTEVLC_EXPORT Q_DECL_EXPORT
#  else /* We are using this library */
#   define CUTEVLC_EXPORT Q_DECL_IMPORT
#  endif
# else /* UNIX */
#  if defined(CUTEVLC_LIBRARY) /* We are building this library */
#   define CUTEVLC_EXPORT Q_DECL_EXPORT
#  else /* We are using this library */
#   define CUTEVLC_EXPORT Q_DECL_IMPORT
#  endif
# endif
#endif

#ifndef CUTEVLC_EXPORT_DEPRECATED
# define CUTEVLC_EXPORT_DEPRECATED Q_DECL_DEPRECATED CUTEVLC_EXPORT
#endif

#endif // CUTEVLC_EXPORT_H
