TARGET = CuteVlc
VER_MAJ = 0 # !BC change
VER_MIN = 0 # BC change
VER_PAT = 0 # !API change
TEMPLATE = lib

CONFIG += qt warn_on

LIBS += -lvlc -lvlccore

maemo5 {
    LIBS += -L$$(HOME)/.madde/0.7.48/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/opt/VideoLAN/lib/
    INCLUDEPATH += /opt/VideoLAN/include/
    QMAKE_RPATHDIR += /opt/VideoLAN/lib/
}

DEFINES += CUTEVLC_LIBRARY \
        QT_NO_CAST_FROM_BYTEARRAY \
        QT_NO_CAST_FROM_ASCII \
        QT_NO_CAST_TO_ASCII \
        QT_NO_URL_CAST_FROM_STRING

unix:!maemo5:!symbian {
    QMAKE_CFLAGS += -pedantic \
            -Wall \
            -Wextra

    QMAKE_CXXFLAGS += -pedantic \
            -Wall \
            -Wextra \
            -Wno-long-long # QtGlobal uses long long even though it is not defined in C++ 1988
}

SOURCES += LibVLC.cpp \
    Media.cpp \
    MediaPlayer.cpp \
    MediaList.cpp

HEADERS += Export.h \
    LibVLC.h \
    Media.h \
    MediaPlayer.h \
    MediaList.h \
    Global.h

symbian {
    #Symbian specific definitions
    MMP_RULES += EXPORTUNFROZEN
    TARGET.UID3 = 0xE1FD97A9
    TARGET.CAPABILITY =
    TARGET.EPOCALLOWDLLDATA = 1
    addFiles.sources = cutevlc.dll
    addFiles.path = !:/sys/bin
    DEPLOYMENT += addFiles
} else:unix {
    headers.files = $$HEADERS
    maemo5 {
        target.path = /usr/lib
        headers.path = /usr/include/CuteVlc
    } else {
        target.path = /usr/local/lib
        headers.path = /usr/local/include/CuteVlc
    }
    INSTALLS += target headers
}
